Create Delivery

Once authenticated, partners can book a Dolly delivery by providing the appropriate partner and client IDs, as well as the what, when, and where of a delivery request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example Request Body

{
  "batchingWorkflow": "single", // specify "external" for route support
  "clientId": "{{your clientId}}", // required
  "containsAlcohol": false,
  "deliveryWindowEndTime": "2023-03-29T18:29:26.440Z", // required
  "deliveryWindowStartTime": "2023-03-29T14:29:26.440Z", // required
  "dropOffInfo": {
    "dropOffAddress": {
      "addressLine1": "2201 N Field St",
      "addressLine2": "",
      "city": "Dallas",
      "state": "TX",
      "zipCode": "75201",
      "country": "US"
    },
    "dropOffContact": {
      "firstName": "John",
      "lastName": "Doe",
      "phone": "1234567890"
    },
    "dropOffInstruction": "Ring the bell once you are at dropoff",
    "dropOffLocation": {
      "latitude": 32.78672695,
      "longitude": -96.80663445
    },
    "isUnattended": true,
    "signatureRequired": true
  },
  "externalDeliveryId": "7501192713442_1", // required
  "externalOrderId": "868c9d93-18fe-4161-b6c5-5d0f4cc23cc5", // required
  "externalStoreId": "2612", // required
  "isAutonomousDelivery": false,
  "orderInfo": {
    "deliveryUnits": [
      {
        "barcode": "DU-1001",
        "contents": ["Product Name"],
        "description": "Box of assorted goods",
        "name": "Unit 1",
        "pickupStatus": "SCANNED",
        "dropOffStatus": "NOT_READY"
      }
    ],
    "orderLineItems": [
      {
        "quantity": 2,
        "orderedWeight": 2.2,
        "uom": "LB",
        "height": 2.3,
        "width": 1.2,
        "length": 3.2,
        "uomDimension": "FT"
      },
      {
        "name": "Product Name",
        "description": "Product Description",
        "photoUrl": "Photo URL",
        "quantity": 1,
        "orderedWeight": 3.1,
        "uom": "LB",
        "height": 1.1,
        "width": 1.8,
        "length": 4.2,
        "uomDimension": "FT"
      }
    ],
    "questionnaire": [
      {
        "questionId": "SNOWMAN",
        "question": "Do you want to build a snowman?",
        "answer": "I really don't know.",
        "comment": "Optional, freeform text"
      }
    ],
    "serviceLevel": "threshold",
    "totalWeight": 64,
    "totalVolume": 2.7799999713897705,
    "totalQuantity": 20
  },
  "pickupInfo": {
    "pickupAddress": {
      "addressLine1": "1717 N Harwood St",
      "addressLine2": null,
      "city": "Dallas",
      "state": "TX",
      "zipCode": "75201",
      "country": "US"
    },
    "pickupContact": {
      "firstName": "Your Store Name",
      "lastName": "Store number:5023",
      "phone": "1234567890"
    },
    "pickupInstruction": "Follow orange 'Pickup' signs in parking lot. Park and wait in any 'Reserved Pickup Parking' spot",
    "pickupLocation": {
      "latitude": 32.78783105,
      "longitude": -96.80133688
    },
    "signatureRequired": true
  },
  "pickupWindowEndTime": "2023-03-29T18:29:26.440Z", // required
  "pickupWindowStartTime": "2023-03-29T14:29:26.440Z", // required
  "storeName": "Your Store Name",
  "tip": 99.00
}
Body Params
RAW_BODY
object
Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json